<template>
    <div :class="`${primary ? 'text-white' : ''} ${primary ? 'bg' : 'text'}-${color}-${color == 'gray' ? '700' : 500} tracking-wide`" class="px-4 py-2 uppercase cursor-pointer select-none select-none text-sm font-bold rounded-lg flex flex-row items-center">
        <slot></slot>
    </div>
</template> 

<script>
export default {
    props: {
        color: {
            type: String,
            default: 'gray',
        },
        primary: {
            type: Boolean,
            default: false,
        }
    }
}
</script>